
Redmine - Defect #37137

incoming emails with smilies inside...won't be processed 

2022-05-19 08:43 - Martin Mayr-gebhard

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.2.4

Description

in addition...this symbol also prevents processing

--- sent from my Oneplus 9 pro

History

#1 - 2022-05-19 08:45 - Martin Mayr-gebhard

- File symbol.png added

I was not able die store that "phonesymbol"...so I attached it as a grafic

#2 - 2022-05-19 19:29 - Holger Just

- Status changed from New to Closed

Some databases (most notably MySQL) used to default to a datatype for strings which was unable to store most emojis as they supported at most

3-byte characters (while most emojis are 4-byte characters). You can verify this by checking if the encoding of the text columns in your MySQL

database is set to utf8 or utf8mb4.

If it is set to utf8, you may have to update your database and database schema t be able to store emojis in the database. There are various guides

available for that if you search for e.g. "redmine mysql utf8mb4". In any case, when performing this kind of changes, make sure to have a full and

working database backup before starting the conversation.

If this is not the case you must provide a lot more information about your environment and how exactly the mails won't be processed. Here, a log

entry would be required. See Submissions for more information.

#3 - 2022-10-06 22:00 - Martin Mayr-gebhard

- File mariadb.png added

thank you...it works now

if somebody needs the settings for MariaDB...I've attached them

Files

symbol.png 1.62 KB 2022-05-19 Martin Mayr-gebhard

mariadb.png 123 KB 2022-10-06 Martin Mayr-gebhard
